## org.apache.commons.math.estimation
Class EstimationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.estimation.EstimationException

All Implemented Interfaces:
  Serializable

Deprecated. as of 2.0, everything in package org.apache.commons.math.estimation has been deprecated and replaced by package org.apache.commons.math.optimization.general

    @Deprecated
    public class EstimationException

extends MathException

This class represents exceptions thrown by the estimation solvers.

Since:
  1.2
Version:
  $Revision: 754732 $ $Date: 2009-03-15 15:30:44 -0400 (Sun, 15 Mar 2009) $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Deprecated. Serializable version identifier.

Constructor Summary
`EstimationException(String specifier, Object... parts)` Deprecated. Simple constructor.

Method Summary

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getLocalizedMessage, getMessage, getPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Deprecated.
  Serializable version identifier.

  See Also:
    Constant Field Values

Constructor Detail

### EstimationException

    public EstimationException(String specifier,
                               Object... parts)

  Deprecated.
  Simple constructor. Build an exception by translating and formating a message

  Parameters:
    `specifier` - format specifier (to be translated)
    `parts` - to insert in the format (no translation)

Copyright (c) 2003-2010 Apache Software Foundation